/* Buttons */

#gitlab-review-container .gitlab-button {
  cursor: pointer;
  transition: background-color 100ms linear, border-color 100ms linear, color 100ms linear,
    box-shadow 100ms linear;
  border-radius: 4px;
  padding: 8px 12px;
  line-height: 12px;
  font-size: 12px;
  font-weight: 300;
}

#gitlab-review-container .gitlab-button-secondary {
  background: none #fafafa;
  margin: 0 8px;
  /* needs to be applied within the app & scripts */
  border: 1px solid #e3e3e3;
}

#gitlab-review-container .gitlab-button-secondary:hover {
  background-color: #f0f0f0;
  border-color: #e3e3e3;
  color: #2e2e2e;
}

#gitlab-review-container .gitlab-button-secondary:active {
  color: #2e2e2e;
  background-color: #e1e1e1;
  border-color: #dadada;
}

#gitlab-review-container .gitlab-button-success:hover {
  color: #fff;
  background-color: #137e3f;
  border-color: #127339;
}

#gitlab-review-container .gitlab-button-success:active {
  background-color: #168f48;
  border-color: #12753a;
  color: #fff;
}

#gitlab-review-container .gitlab-button-success {
  background-color: #1aaa55;
  border: 1px solid #168f48;
  color: #fff;
}

#gitlab-review-container .gitlab-link-button {
  border: none;
  cursor: pointer;
  padding: 0 2px;
  background-color: transparent;
}
